/**
 * EntityClassNonPersonLivingSubject2.java
 *
 * File generated from the medication2::EntityClassNonPersonLivingSubject2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassNonPersonLivingSubject2.
 *
 * 
 */

@XmlType(name = "EntityClassNonPersonLivingSubject")
@XmlEnum
@XmlRootElement(name = "EntityClassNonPersonLivingSubject2")
public enum EntityClassNonPersonLivingSubject2 {
	@XmlEnumValue("NLIV")
	NLIV("NLIV"),
	@XmlEnumValue("ANM")
	ANM("ANM"),
	@XmlEnumValue("MIC")
	MIC("MIC"),
	@XmlEnumValue("PLNT")
	PLNT("PLNT");
	
	private final String value;

    EntityClassNonPersonLivingSubject2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityClassNonPersonLivingSubject2 fromValue(String v) {
        for (EntityClassNonPersonLivingSubject2 c: EntityClassNonPersonLivingSubject2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
